### File

`packages/eui/packages/components-next/src/lib/layout/eui-notifications/eui-notifications.component.ts`

### Implements

`OnInit` `OnChanges`

### Metadata

changeDetection | `ChangeDetectionStrategy.Default`
encapsulation | `ViewEncapsulation.None`
selector | `eui-notifications`
styleUrls | `./styles/_index.scss`
templateUrl | `./eui-notifications.component.html`

### Index

###### Properties
currentDayNotifications isOverlayActive oldestNotifications today unreadNotifications
###### Methods
onClicked onItemClick onItemMarkAsRead onMarkAllAsRead onNoNotificationFoundClick onRefresh onSettings onViewAllClick trackByFn
###### Inputs
count customUnreadCount dateFormat headerTitleLabel isHidePanelOnViewAllAction isShowMarkAllAsReadButton isShowMarkAsRead isShowRefreshButton isShowSettingsButton isShowViewAllAction items markAllAsReadLabel markAsReadLabel markAsUnReadLabel nbUnreadCount noNotificationFoundLabel noNotificationFoundLink refreshLabel settingsLabel totalLabel unreadLabel viewAllNotificationsLabel
###### Outputs
itemClick itemMarkAsReadClick markAllAsReadClick noNotificationFoundClick refreshClick settingsClick viewAllClick
###### HostBindings
class
###### HostListeners
body:click

### Constructor

`constructor()`

### Inputs

count
Type : `number`
Default value : `null`

customUnreadCount
Type : `boolean`
Default value : `false`

dateFormat
Type : `string`
Default value : `'DD/MM/YYYY'`

headerTitleLabel
Type : `string`
Default value : `null`

isHidePanelOnViewAllAction
Type : `boolean`
Default value : `true`

isShowMarkAllAsReadButton
Type : `boolean`
Default value : `true`

isShowMarkAsRead
Type : `boolean`
Default value : `true`

isShowRefreshButton
Type : `boolean`
Default value : `true`

isShowSettingsButton
Type : `boolean`
Default value : `true`

isShowViewAllAction
Type : `boolean`
Default value : `true`

items
Default value : `[]`

markAllAsReadLabel
Type : `string`
Default value : `null`

markAsReadLabel
Type : `string`
Default value : `null`

markAsUnReadLabel
Type : `string`
Default value : `null`

nbUnreadCount
Type : `number`
Default value : `null`

noNotificationFoundLabel
Type : `string`
Default value : `null`

noNotificationFoundLink
Type : `boolean`
Default value : `false`

refreshLabel
Type : `string`
Default value : `'refresh'`

settingsLabel
Type : `string`
Default value : `'settings'`

totalLabel
Type : `string`
Default value : `null`

unreadLabel
Type : `string`
Default value : `null`

viewAllNotificationsLabel
Type : `string`
Default value : `null`

### Outputs

itemClick
Type : `EventEmitter<any>`

itemMarkAsReadClick
Type : `EventEmitter<any>`

markAllAsReadClick
Type : `EventEmitter<any>`

noNotificationFoundClick
Type : `EventEmitter<any>`

refreshClick
Type : `EventEmitter<any>`

settingsClick
Type : `EventEmitter<any>`

viewAllClick
Type : `EventEmitter<any>`

### HostBindings

class
Default value : `'eui-notifications'`

### HostListeners

body:click
`body:click()`

### Methods

onClicked
`onClicked(event: any)`
Parameters :
Name | Type | Optional
event | `any` | No
Returns : `void`

onItemClick
`onItemClick(link: any)`
Parameters :
Name | Type | Optional
link | `any` | No
Returns : `void`

onItemMarkAsRead
`onItemMarkAsRead(link: any)`
Parameters :
Name | Type | Optional
link | `any` | No
Returns : `void`

onMarkAllAsRead
`onMarkAllAsRead(e)`
Parameters :
Name | Optional
e | No
Returns : `void`

onNoNotificationFoundClick
`onNoNotificationFoundClick(event: Event)`
Parameters :
Name | Type | Optional
event | `Event` | No
Returns : `void`

onRefresh
`onRefresh(event: Event)`
Parameters :
Name | Type | Optional
event | `Event` | No
Returns : `void`

onSettings
`onSettings(e)`
Parameters :
Name | Optional
e | No
Returns : `void`

onViewAllClick
`onViewAllClick(event: Event)`
Parameters :
Name | Type | Optional
event | `Event` | No
Returns : `void`

trackByFn
`trackByFn(index: number, item: any)`
Parameters :
Name | Type | Optional
index | `number` | No
item | `any` | No
Returns : `any`

### Properties

currentDayNotifications
Type : `[]`
Default value : `[]`

isOverlayActive
Default value : `false`

oldestNotifications
Type : `[]`
Default value : `[]`

today
Type : `Date`
Default value : `new Date()`

unreadNotifications
Type : `[]`
Default value : `[]`

# result-matching ""

# No results matching ""